<%- include('partials/header.ejs') %>

<!-- content start -->
<div class="main">
    <div class="d-flex head">
        <h2 class="heading">Doctor :-</h2>
        <a href="add" class="ml-auto"
            ><button type="button" class="btn btn-info">Add New</button></a
        >
    </div>
    <div class="content">
        <div style="overflow-y: auto">
            <table
                id="doctor-table"
                class="table table-striped table-bordered add-button"
                style="width: 100%"
            >
                <thead>
                    <tr>
                        <th class="text-center">Profile</th>
                        <th class="text-center">Doctor Name</th>
                        <th class="text-center">Category</th>
                        <th class="text-center">Email Id</th>
                        <th class="text-center">Mobile Number</th>
                        <th class="text-center">Experience</th>
                        <th class="text-center">Consultation Charges</th>
                        <th class="text-center">Open Time</th>
                        <th class="text-center">Close Time</th>
                        <th class="text-center">Location</th>
                        <th class="text-center">Language</th>
                        <th class="text-center">Experties</th>
                        <th class="text-center">Account Holder</th>
                        <th class="text-center">Account Number</th>
                        <th class="text-center">Bank</th>
                        <th class="text-center">IFSC</th>
                        <th class="text-center">UPI</th>
                        <th class="text-center">Edit</th>
                        <th class="text-center">Delete</th>
                    </tr>
                </thead>
                <tfoot></tfoot>
            </table>
        </div>
    </div>
    <div>
        <%- include ('partials/footer.ejs') %>

        <script>
            activeSideBar("list-doctor");
            $("#home_expand").text("expand_more");
            $("#home_submenu").show();

            var table = $("#doctor-table").DataTable({
                serverSide: true,
                ajax: {
                    url: "datatable-data",
                    type: "POST",
                },
                columns: [
                    {
                        data: "image",

                        render: function (data) {
                            return `<img src="/dist/di/${data}" alt="Doctor Image" height="50px" width="50px">`;
                        },
                    },
                    { data: "name" },
                    {
                        data: "category",
                        render: function (data) {
                            return data.name;
                        },
                    },
                    { data: "email" },
                    { data: "mobile_number" },
                    { data: "experience" },
                    { data: "consultation_charge" },
                    { data: "open_time" },
                    { data: "close_time" },
                    { data: "location" },
                    { data: "language" },
                    { data: "experties" },
                    { data: "account_holder" },
                    { data: "account_number" },
                    { data: "bank_name" },
                    { data: "ifsc" },
                    { data: "upi" },
                    {
                        data: "_id",
                        render: function (data) {
                            return `<a href="edit?id=${data}"<i class="material-icons table-icon btn text-primary">edit</i>`;
                        },
                    },
                    {
                        defaultContent: `<i id="delete_btn"
                                        class="material-icons table-icon btn delete-icon">delete</i>`,
                    },
                ],
            });

            $(document).on("click", "#delete_btn", function (e) {
                if (confirm("Do you really want to delete this doctor")) {
                    var row = $(this).closest("tr");
                    tableData = table.row(row).data();
                    var id = tableData._id;
                    $.ajax({
                        type: "POST",
                        contentType: "application/json",
                        url: "delete",
                        data: JSON.stringify({
                            id: id,
                        }),
                    })
                        .done((res) => {
                            Snackbar.show({
                                text: res,
                                pos: "bottom-right",
                                customClass: "snackbar-custom-s",
                                showAction: false,
                            });
                        })
                        .fail(function (xhr, status, error) {
                            Snackbar.show({
                                text: xhr.responseText,
                                pos: "bottom-right",
                                customClass: "snackbar-custom-d",
                                showAction: false,
                            });
                        });
                }
            });
        </script>
    </div>
</div>
